Subject: Re: bug#46781: read-buffer-completion-ignore-case: who would still be looking for m when they typed M?

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 01 Mar 2021 13:43:54 +0100

積丹尼 Dan Jacobson <[email-masked]> writes:

> $ emacs -nw -Q --eval '(setq read-buffer-completion-ignore-case t)' Makefile murmurfile BLA
> C-x b                  ;; switch-to-buffer
> M                      ;; self-insert-command
> TAB                    ;; minibuffer-complete
>
> I am saying that if I typed "m", then offer me both choices.
>
> But I have gone through all the trouble of holding down SHIFT, that
> means I am serious about only matching uppercase M.

Thanks for the recipe for reproduction.

Yes, I also see this behaviour, and it does indeed behave as documented
(i.e., case is ignored).

But as you say, that's perhaps not optimal behaviour -- in other cases
like this in Emacs (like isearch), Emacs stops ignoring case if the user
enters some upper case characters, and that would make sense here too?

Anybody have opinions here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no